Package org.apache.commons.math3.analysis

# Interface BivariateFunction

All Known Implementing Classes:
  `Add`, `Atan2`, `BicubicInterpolatingFunction`, `BicubicSplineInterpolatingFunction`, `Divide`, `Max`, `Min`, `Multiply`, `PiecewiseBicubicSplineInterpolatingFunction`, `Pow`, `Subtract`

public interface BivariateFunction
An interface representing a bivariate real function.

Since:
  2.1

## Method Summary

Modifier and Type
Method
Description
`double`
`value(double x, double y)`
Compute the value for the function.

## Method Details

### value

double value(double x, double y)
Compute the value for the function.

Parameters:
  `x` - Abscissa for which the function value should be computed.
  `y` - Ordinate for which the function value should be computed.
Returns:
  the value.